FANDOM


Qt logo 2013

Qt is a cross-platform UI framework, and the first Freeciv-Qt frontend was based on Qt 5.3. Check out the Qt Project for downloads, documentation, etc. There's also an official Qt wiki listing known issues for various releases.[1]

On Windows Qt5 is not supposed to work for versions older than XP SP3.[2] Qt 5.7 does not support the Visual Studio 2012 (or older) compilers; likewise only MinGW-w64 g++ 4.7 (or newer) is supported.[3] The scripts to start Freeciv binaries on Windows set the QT_PLUGIN_PATH.[4]

Qt 5.11 and 5.12 (as long time support version) are expected in 2018 as last Qt5 versions.[5][6]

An earlier experiment to use Qt in 1999 was stopped due to license issues.

References Edit

  1. Qt Wiki: Release information incl. known issues
  2. Qt 5.7: Supported Platforms
  3. Qt 5: Supported Compilers on Windows
  4. Qt Documentation: Deploying Plugins
  5. Qt 5.11 Release on the Qt wiki
  6. Qt 2018 on heise.de (Deutsch)